import { requestPOST, requestGET, requestPOST1 } from "@/utils/request.js";

export default {
  // 查询直播详情
  getLiveInfo(options) {
    return requestPOST1(`${process.env.OLSHOP_URL}/liveBroadcastInfo/getLiveBroadcastInfoByIds?liveBroadcastId=${options}`);
  },
  // 查询所有产品规格详情
  getProductGoodsByProductInfo(options) {
    return requestPOST(`${process.env.OLSHOP_URL}/product/get_product_goods_by_product_info`, options);
  },
  // 获取商品所有规格
  getProductGoodsSpecifications(options) {
    return requestPOST(`${process.env.OLSHOP_URL}/product/get_goods_specifications`, options);
  },
  // 查询产品信息
  getProductGoodsByMixId(options) {
    return requestPOST(`${process.env.OLSHOP_URL}/product/get_product_goods_by_mix_id`, options);
  },
  // 添加购物车
  addCart(options) {
    return requestPOST(`${process.env.OLSHOP_URL}/cart/add_item`, options);
  },
};